/* $Revision: 1.2 $ */

/* compile with: gcc -O3 -o lushCompare_c lushCompare.c */

#include <stdio.h>
#include <time.h>

double harmonic (int n)
{
    double z = 0.0;
    int i;
    for (i = 1; i <= n; i++)
        z = z + 1.0 / (double)i;

    return z;
}

int main (void)
{
    int numberOfLoops = 300;
    int i;
    time_t cstart, cend;
    
    time(&cstart);
    for (i = 0; i < numberOfLoops; i++)
        printf("%f - %d\n", harmonic(1000000), i);
    time(&cend);
    
    printf ("%f seconds.\n", (cend - cstart) / (double)numberOfLoops);
}
